Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.uibeans
Class MetricDisplayValue

    java.lang.Object
      org.hyperic.hq.bizapp.shared.uibeans.MetricDisplayValue

All Implemented Interfaces:
  java.io.Serializable

    public class MetricDisplayValue

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`MetricDisplayValue(double aValue)`
`MetricDisplayValue(java.lang.Double aValue)`

Method Summary
`java.lang.Boolean` | `getHighlighted()`
`java.lang.Double` | `getValue()`
`FormattedNumber` | `getValueFmt()`
`void` | `setHighlighted(java.lang.Boolean flag)`
`void` | `setValue(java.lang.Double aValue)`
`void` | `setValueFmt(FormattedNumber aValueFmt)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MetricDisplayValue

    public MetricDisplayValue(double aValue)

### MetricDisplayValue

    public MetricDisplayValue(java.lang.Double aValue)

Method Detail

### getValue

    public java.lang.Double getValue()

### getValueFmt

    public FormattedNumber getValueFmt()

### setValue

    public void setValue(java.lang.Double aValue)

### setValueFmt

    public void setValueFmt(FormattedNumber aValueFmt)

### getHighlighted

    public java.lang.Boolean getHighlighted()

### setHighlighted

    public void setHighlighted(java.lang.Boolean flag)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.